#!/usr/bin/env python3

import requests

# Fetch some manifests
url="https://launchermeta.mojang.com/mc/game/version_manifest.json"
stage1 = requests.get(url)
latest = stage1.json()["latest"]["release"]

print("Latest version of Minecraft (Release):",latest)

# Iterate through the json, grab the manifest of the newest version
for version in stage1.json()["versions"]:
    if latest == version["id"]:
        # print(version)
        url = version["url"]

# Grab it. Print.
stage2 = requests.get(url)
print("Downloading:",stage2.json()["downloads"]["server"]["url"])

print("Grabbing server.jar")
jarfile = requests.get(stage2.json()["downloads"]["server"]["url"])
open("server.jar", "wb").write(jarfile.content)

print("Done!")
